/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sept. 2005

 File          : Flash.c , RAM.c

 Hardware      : Applicable to ADuC702x rev H or I silicon
                 Currently targetting ADuC7026.

 Description   : This example demonstrate how to place the Interrupt 
 				 Vector Table in RAM, perform a REMAP, i.e. map RAM to
				 0x00, and wait in a loop for the XIRQ0 button to be 
				 pressed, and compliment p4.2.	The code to place the 
				 vector table in RAM and perform the REMAP is found in 
				 the startup.s file
		

 Note			: The memory regions in the linker have being changed.
				  The Data region is changed from Start 0x10000 and size
				  0x2000 to Start 0x10040 and size 0x1FC0.

*********************************************************************/

#include<ADuC7026.h>


//	Main Function

int main (void)  
{
	GP4DAT 	= 	0x04040000;	   		// 	Enable P4.2 as an Output
	
	IRQEN 	= 	XIRQ0_BIT;

	while(1){						// 	Infinite loop
	}
	return(0);
}


